<?

define('_IN_JOHNCMS', 1);
$rootpath = '../../';
require_once ($rootpath."incfiles/core.php");
require_once ($rootpath."incfiles/head.php");
echo "<div class='phdr'>Письмо пианера бабушке</div>";


function form()
{
	$file = file_get_contents("temp/babushke.tmp");
	$out = intval($file);
	echo '<form method="post" action="babushke.php">
<div class="gmenu">
Ваше имя:<br/>
<input type="text" name="1" value=""/><br/>
Ваше любимое блюдо:<br/>
<input type="text" name="2" value=""/><br/>
Чем лучше запивать:<br/>
<input type="text" name="3" value=""/><br/>
Ваше любимое животное:<br/>
<input type="text" name="4" value=""/><br/>
Любая часть тела:<br/>
<input type="text" name="5" value=""/><br/>
Одежда:<br/>
<input type="text" name="6" value=""/></div>
<div class="bmenu">
<input type="submit" name="submit" value="Написать :)"/></div>
</form><div class="gmenu">
Написали: '.$out.' раз(a)</div>';
}


if(isset ($_POST['submit']))
{
	for($i = 1; $i < 7; $i++)
	{
		$text[$i] = functions :: checkout(mb_substr($_POST[$i], 0, 20), 1, 1);
	}
	$file = file_get_contents("temp/babushke.tmp");
	$out = intval($file + 1);
	echo '<div class="gmenu">
        Здравствуйте дорогая бабушка, пишет тебе '.$text[1].'!<br />Я стал пионером и теперь я должен всегда говорить правду! <br />Помнишь, когда  я был у вас прошлым летом, короче я посмотрел под кровать и увидел там '.$text[2].', я не смог смотреть на это спокойно и поэтому я тайком съел этот '.$text[2].', а в блюдце насрал, чтобы вы не заметили пропажу. <br />Потом вышел во двор, там было ваше ипучее животное '.$text[4].' и я ее от души трахнул...<br/>И моя '.$text[5].'.... Ну короче его больше нет:(. Ваша ипучая '.$text[4].' отрубила его!<br />Я с горя выпил очень много '.$text[3].', и проблювался на дедушкин '.$text[6].', а потом он мне дал на рот:( <br/> Простите меня пожалуйсто!!!</div>';
	//Запись
	$fp_send = fopen("temp/babushke.tmp", "w");
	flock($fp_send, LOCK_EX);
	fputs($fp_send, $out);
	flock($fp_send, LOCK_UN);
	fclose($fp_send);
	chmod("temp/babushke.tmp", 0666);
}
else
{
	echo '<div class="rmenu">Пишите вразумительные ответы, иначе результат не будет иметь смысла и вы зря потратите время.</div>';
	form();
}
echo '<div class="menu"><a href="../?act=send">Еще письма</a><br /><a href="../?">В раздел</a></div>';
require_once ($rootpath."incfiles/end.php");

?>